package org.greenstone.gsdl3.util;

import java.io.File; 

/**
 * GSFiles - utility class for Greenstone.
 *
 * contains File creation methods.
 *
 * @see File
 */
public class GSFile {

    /** creates a File for the site config file */
    static public File siteConfigFile(String site_home) {
	return new File(site_home + File.separatorChar+"sitecfg.xml");

    }

    /** creates a File for the collection directory  */
    static public File collectionDirFile(String site_home) {
	return new File(site_home+File.separatorChar+"collect");
    }
    
    /** creates a File for the collection config file */
    static public File collectionConfigFile(String site_home, 
					    String collection_name) {
	return new File(site_home+File.separatorChar+"collect"+
			File.separatorChar+collection_name+
			File.separatorChar+"etc"+
			File.separatorChar+"collectcfg.xml");

    }

    /** creates a File for the collection build config file */
    static public File collectionBuildConfigFile(String site_home, 
						 String collection_name ) {
	return new File(site_home+File.separatorChar+"collect"+
			File.separatorChar+collection_name+
			File.separatorChar+"index"+
			File.separatorChar+"buildcfg.xml");
    }

    static public String xmlTransformDir(String gsdl_home) {
	return gsdl_home+File.separatorChar+"transform";
    }
	    

}
